Bug 216511 - Construct failover procedure for LVM2 hand-off of volumes
Summary: Construct failover procedure for LVM2 hand-off of volumes
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-20 21:29 UTC by Scott Crenshaw
Modified: 2009-04-16 20:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-09 18:58:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rob Kenna 2006-11-20 21:29:32 UTC
At service failover the recovering node needs to properly active the volume
needed by the service.  This should able to be accomplished, but limited
activation only to the server(node) currently owning the service.

We need to construct the procedure for this across the cluster.

Comment 2 Rob Kenna 2006-12-05 14:13:35 UTC
This is targeted for RHEL 4.5.  I'm not yet certain whether this includes actual
changes to the product or simply configuration intructions.   The work should
include a KBase article outlining who it is to be configured.

Comment 3 Rob Kenna 2006-12-05 14:16:39 UTC
On Tue, 2006-10-17 at 13:05 -0400, Lon Hohberger wrote:

> We should really have a device-activation agent so that you can
> assemble/disassemble individual LVM devices on the fly (so that only one
> node has a particular LVM volume assembled at a time).  I don't know if
> it's even feasible, though...

We'll need at least the following for local/non-cluster LVM support in RHCS4 /
RHCS5:

(a) Configuration parsing in /etc/rc.d/rc.sysinit so that we could have
administrators configure an explicit list of volume groups to activate
on boot.  Currently, rc.sysinit activates all volume groups that are
available.  For cluster-managed local LVM VGs which happen to reside on
shared storage, this is exactly what we don't want (we don't want the
kernel even thinking about VGs that aren't part of a service it owns).

(b) LVM parsing in fs.sh (rgmanager agent) to detect that the specified
file system is on an LVM volume group/logical volume, and activate the
VG on startup / deactivate on shutdown of the service.  e.g.

   <fs name="ThisFilesystem" device="LVM=VolGroupName/LogVolName"
fstype="ext3" .../>

(this is similar to how we handle file system labels...)

If both are satisfied, it may be possible (and safe) to run local LVM
for cluster failover.  However, it needs more research as well as input
from an LVM expert, like Alasdair or Tom C.

Comment 5 Rob Kenna 2006-12-09 05:14:47 UTC
This solution needs to be steps

1) Confirm the procesure will work and write it up
2) Provide some confg automation

Comment 11 Issue Tracker 2007-06-13 11:48:01 UTC
HI,

I have discussed this case with our R&D.  Even this problem still exists,
it is not relevant for us anymore at this point in time.  Therefore, I
will close this case.

Regards,
Julie Korpilahti

Internal Status set to 'Resolved'
Status set to: Closed by Client
Resolution set to: 'Closed by Client'

This event sent from IssueTracker by julie.korpilahti 
 issue 104046

Comment 14 Lon Hohberger 2009-02-09 18:58:23 UTC
Sounds like HA-LVM which has been released.


Note You need to log in before you can comment on or make changes to this bug.